Name:       nodejs-grunt-wrap
Version:    0.3.1
Release:    4%{?dist}
BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

License:    MIT
Summary:    A Grunt plugin for wrapping project text files
URL:        https://www.npmjs.com/package/grunt-wrap/
Source0:    http://registry.npmjs.org/grunt-wrap/-/grunt-wrap-%{version}.tgz
Source1:    https://raw.githubusercontent.com/chrissrogers/grunt-wrap/3894ad6ce5ea014b95fdf15eb8812c3640471147/Gruntfile.js
# Source2 is generated by running dltests.sh, which pulls the tests from the upstream repository
Source2:    tests-fb342f1781fd0fcfcd2ef6bc0b84662de4d3beb4.tar.bz2

BuildRequires: nodejs-grunt-cli
BuildRequires: nodejs-grunt-contrib-clean
BuildRequires: nodejs-grunt-contrib-nodeunit
BuildRequires: nodejs-grunt-contrib-watch
BuildRequires: nodejs-packaging

Requires:      nodejs-grunt


%description
A Grunt plugin for wrapping project text files.


%prep
%autosetup -n package
%setup -q -T -D -a 2 -n package

cp -p %{SOURCE1} .

# We don't need to check code style during package tests
sed -i "s/jshint', 'wrap/wrap/" Gruntfile.js

sed -i '1 s|#!/usr/bin/env node|#!/usr/bin/node|' bin/grunt-wrap


%install
install -d -m 0755 %{buildroot}/%{_bindir}
install -d -m 0755 %{buildroot}/%{nodejs_sitelib}
install -d -m 0755 %{buildroot}/%{nodejs_sitelib}/grunt-wrap

cp -a package.json tasks %{buildroot}/%{nodejs_sitelib}/grunt-wrap
install -D -p -m 0755 bin/grunt-wrap %{buildroot}/%{_bindir}

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check

grunt test


%files
%license LICENSE-MIT
%doc README.md
%{_bindir}/grunt-wrap
%{nodejs_sitelib}/grunt-wrap


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Feb 18 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1 (#1460839).

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
